id: agaric_page_paragraph
migration_group: agaric
label: Page Body paragraph
source:
  plugin: d7_node
  node_type: page
process:
  uid:
  -
    plugin: migration_lookup
    migration: agaric_user
    source: node_uid
    no_stub: true
  -
    plugin: skip_on_empty
    method: row
  status: status
  created: created
  parent_type: "node"
  field_text: body
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: text
dependencies:
  enforced:
    module:
    - paragraphs
migration_dependencies:
  required:
  - agaric_user
